Bug 31251 - [EasyHack] Make the default page look better
Summary: [EasyHack] Make the default page look better
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Sébastien Le Ray
QA Contact:
URL:
Whiteboard:
Keywords: easyHack, topicUI
Depends on:
Blocks:
 
Reported: 2010-10-31 01:49 UTC by Andrew
Modified: 2015-12-16 05:33 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Mockup of improved look (21.58 KB, image/png)
2010-10-31 01:49 UTC, Andrew
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew 2010-10-31 01:49:13 UTC
Created attachment 39920 [details]
Mockup of improved look

The default page in LibreOffice currently look a bit outdated. Whilst the inner border to signify the print area looks fine, the dark border of the whole page and the garish drop shadow look very Windows 95.

This is a bad first impression for every user, and instead it should give an image of a modern and usable office suite.

Attached is a mockup of what I think the page should instead look like, on the left is the current look, with my proposed look on the right.
I have simply made the outer border the same colour as the inner border, and then added a shadow with no offset, with a slight gaussian blur and a low opacity.

Any comments?
Comment 1 Stefan Knorr (astron) 2010-11-30 04:32:58 UTC
I agree. However, it would be nice if the active page had a darker surrounding than inactive pages.
Comment 2 Yifan Jiang 2010-12-01 01:41:39 UTC
Personally I appreciate the mock up ;-)
Comment 3 Cédric Bosdonnat 2010-12-01 04:19:40 UTC
Nice idea! I'll try to get some time to provide some code pointers: it may even be an easy hack.
Comment 4 Cédric Bosdonnat 2010-12-01 04:42:12 UTC
Some code pointers for an implementation:
http://opengrok.go-oo.org/xref/writer/sw/source/core/inc/pagefrm.hxx:
  * Getting the misc rectangles:
    * SwPageFrm::GetBorderRect()
    * SwPageFrm::GetRightShadowRect()
    * SwPageFrm::GetBottomShadowRect()
  *Actually drawing the whole stuff:
    * SwPageFrm::PaintBorderAndShadow()

This can be an easy hack... that is not so easy...
Comment 5 Christoph 2010-12-04 14:08:21 UTC
Just for the sake of completeness:
OOo Impress recently added "smooth" shadows, so please have a look at it how it behaves (e.g. values for the shadow, static zooming behavior). The Oracle UX team worked on that, thus it should behave well.

Moreover, the Notes/Comments in LibO may be affected by that. Or, they may benefit if the original spec is applied as well:
http://wiki.services.openoffice.org/wiki/Notes2_Design_Visualization_of_Focus#Proposal_.22Increased_Shadow.22
Comment 6 Rainer Bielefeld Retired 2011-01-28 10:05:55 UTC
For me that seems useful as a crop, but I have to agree, the mockup looks nice, and people will like it. So we should follow common "look and feel".
Comment 7 Sébastien Le Ray 2011-02-23 03:19:16 UTC
I started work on it using gradients
Comment 8 Caolán McNamara 2011-03-04 12:36:38 UTC
This is done, right ?, I see new shadow thing in master now. Can we set this to closed then ?
Comment 9 Sébastien Le Ray 2011-03-05 01:50:18 UTC
(In reply to comment #8)

There are currently discussions on the design list about how the shadow should look like and how we can improve it... I don't know if we can close the bug while the discussion is in progress...
Comment 10 Andrew 2011-03-05 09:11:15 UTC
Can we keep open until discussions have finished? Thanks :)
Comment 11 Christoph 2011-04-03 13:00:22 UTC
Started specification for all applications:
http://wiki.documentfoundation.org/Design/Development/DocumentBackground

Announced on LibreOffice Design, (kindly) asked for feedback by Sébastien, Andrew and Nik :-)
Comment 12 Sébastien Le Ray 2011-04-26 23:53:43 UTC
It seems that shadow has been implemented into draw/impress by OOo UX team. They used a 4 sided shadow which, from the discussions we had on design list, seems to be the one that satisfies most people.

I'm currently implementing the same kind of shadow on writer but it's quite hard since a lot of layout functions do not take shadow into account for their computation. This causes a lot of glitches, especially in book mode when you add a page. The code for the shadow is ready for one week now but I still have to track and solve those glitches which need some code rework.
Comment 13 Caolán McNamara 2011-11-16 03:34:18 UTC
Sébastien: did this get completed, or did the design and/or implementation details crush your spirit ;-) What we have seems to look good to me, what's "to-do" if you want to return this to the pool for someone to have a shot at completing it ?
Comment 14 Stefan Knorr (astron) 2012-02-08 09:27:12 UTC
Was already fixed for LibO 3.4 with
http://cgit.freedesktop.org/libreoffice/core/commit/?id=58dac4a84808321327a9bae8d2006ec3e9df4b32
by Sebastien Le Ray.
Comment 15 Robinson Tryon (qubit) 2015-12-16 05:33:08 UTC
Migrating Whiteboard tags to Keywords: (EasyHack TopicUi)
[NinjaEdit]